Bug 524216 - dwarf data missing for some function parameters
Summary: dwarf data missing for some function parameters
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 11
Hardware: powerpc
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-18 12:33 UTC by Frank Ch. Eigler
Modified: 2009-09-24 06:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-24 06:56:07 UTC


Attachments (Terms of Use)

Description Frank Ch. Eigler 2009-09-18 12:33:03 UTC
According to amodra's analysis, "-mno-sched-prolog breaks function
parameter debug location lists" on powerpc.

http://sourceware.org/bugzilla/show_bug.cgi?id=10231
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=40473

I have not yet tried to reproduce this with gcc-vta/rawhide yet,
but it impacts F11 for sure, so a backport of the patch would be
appreciated.

Comment 1 Jakub Jelinek 2009-09-22 08:16:22 UTC
First of all, the kernel shouldn't be using such options.  The comment in kernel's Makefile talks about working around some gcc bug with -fno-omit-frame-pointer, has that bug even been filed to gcc?

Comment 2 Frank Ch. Eigler 2009-09-23 22:41:42 UTC
(In reply to comment #1)
> First of all, the kernel shouldn't be using such options.  [...]

Maybe, but if the patch now committed to gcc mainline can be
backported, we can fight that battle another time.

Comment 3 Jakub Jelinek 2009-09-24 06:56:07 UTC
Fixed in gcc-4.4.1-16.


Note You need to log in before you can comment on or make changes to this bug.